let eduScore = 0;
let mfgScore = 0;

function toggleTheme() {
  const body = document.body;
  if (body.getAttribute('data-theme') === 'dark') {
    body.removeAttribute('data-theme');
  } else {
    body.setAttribute('data-theme', 'dark');
  }
}

function updateMeter() {
  const total = Math.abs(eduScore) + Math.abs(mfgScore);
  if (total === 0) return;
  
  const percentage = ((mfgScore + total) / (2 * total)) * 100;
  document.getElementById('meter').style.width = `${percentage}%`;
  
  updateRecommendation();
}

function updateScores() {
  document.getElementById('edu-score').textContent = eduScore;
  document.getElementById('mfg-score').textContent = mfgScore;
}

function updateRecommendation() {
  const text = document.getElementById('recommendation-text');
  if (eduScore > mfgScore) {
    text.textContent = "You're showing a preference for Language Education content creation. Consider exploring this path further!";
  } else if (mfgScore > eduScore) {
    text.textContent = "You're leaning towards PET Manufacturing sales and marketing. This might be your calling!";
  } else {
    text.textContent = "Your preferences are balanced. Keep exploring both options!";
  }
}

function voteEducation() {
  eduScore++;
  updateScores();
  updateMeter();
}

function voteManufacturing() {
  mfgScore++;
  updateScores();
  updateMeter();
}

document.addEventListener('DOMContentLoaded', () => {
  updateMeter();
});
